import service from "./request.js";

export const get = (url, params) =>
  service.request({
    url: url,
    method: "get",
    params,
  });
export const post = (url, data) =>
  service.request({
    url: url,
    method: "post",
    data,
  });
export const put = (url, data) =>
	service.request({
		url: url,
		method: "put",
		data,
	});
export const deleteData = (url, params) =>
	service.request({
		url: url,
		method: "delete",
		params,
	});
export const getStanderOne = (params) =>
	service.request({
		url: '/admin/etl/stdef/query',
		method: "get",
		params,
	});
export const uploadExcel = (param, sourceType) =>
	service.request({
		url: '/admin/etl/datatablehead/uploadexcel?taskId=' + sourceType,
		method: 'post',
		headers: { 'Content-Type': 'multipart/form-data' },
		data: param
	});
export default {
  get,
  post,
	put,
	deleteData
};
