
// 日期格式化
export function parseTime (time, pattern) {
	if (arguments.length === 0 || !time) {
		return null
	}
	if (time == '00010101000000') return ''
	return time.replace(/(\d{4})(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})/g, '$1-$2-$3 $4:$5:$6')
}

// 表单重置
export function resetForm (refName) {
	if (this.$refs[refName]) {
		this.$refs[refName].resetFields()
	}
}

// 添加日期范围
export function addDateRange (params, dateRange) {
	var search = params
	search.beginTime = ''
	search.endTime = ''
	if (dateRange != null && dateRange !== '') {
		search.beginTime = this.dateRange[0]
		search.endTime = this.dateRange[1]
	}
	return search
}

// 回显数据字典
export function selectDictLabel (datas, value) {
	var actions = []
	Object.keys(datas).map((key) => {
		if (datas[key].dictValue === ('' + value)) {
			actions.push(datas[key].dictLabel)
			return false
		}
	})
	return actions.join('')
}

// 字符串格式化(%s )
export function sprintf (str) {
	var args = arguments; var flag = true; var i = 1
	str = str.replace(/%s/g, function () {
		var arg = args[i++]
		if (typeof arg === 'undefined') {
			flag = false
			return ''
		}
		return arg
	})
	return flag ? str : ''
}

// 转换字符串，undefined,null等转化为""
export function praseStrEmpty (str) {
	if (!str || str === 'undefined' || str === 'null') {
		return ''
	}
	return str
}

// 表格列宽自适应
export function columnWidth (el) {
	let widthList = [];
	let thWidthList = [];
	// 计算表头宽度
	el.querySelectorAll('.has-gutter tr').forEach((tr) => {
		tr.querySelectorAll('th').forEach((th, i) => {
			console.log(th.lastChild.innerText, th.lastChild.innerText.length*16+20);
			if(th.lastChild.innerText && th.lastChild.innerText.length){
				if(thWidthList[i] && thWidthList[i].push){
					thWidthList[i].push(th.lastChild.innerText.length*16+20);
				}else{
					thWidthList[i]=[];
					thWidthList[i].push(th.lastChild.innerText.length*16+20);
				}
			}
    });
	})
	// 计算内容宽度
  el.querySelectorAll('.el-table__body tr').forEach((tr) => {
    tr.querySelectorAll('td').forEach((td, i) => {
			if(td.lastChild.innerText && td.lastChild.innerText.length){
				if(widthList[i] && widthList[i].push){
					widthList[i].push(td.lastChild.innerText.length*14+20);
					widthList[i].push(thWidthList[i]?.[0] || 0);
				}else{
					widthList[i]=[];
					widthList[i].push(td.lastChild.innerText.length*14+20);
					widthList[i].push(thWidthList[i]?.[0] || 0);
				}
			}
    });
  });
  return widthList.map(width => Math.max(...width));
}
